import { Model } from "sequelize";
import { Version } from "../interfaces/";
export declare class Package extends Model {
    static getPackage(packageId: string): Promise<any>;
    static addPackage(packageId: string, userId: string, name: string, access: "public" | "restricted"): Promise<Package>;
    get versions(): Version[];
    set versions(versions: Version[]);
}
