import { Model } from "sequelize";
export declare type UserType = "user" | "root";
export declare class User extends Model {
    static hashPassword(token: string): string;
    /**
     * Add the root user if there is no root user.
     */
    static addRootUser(): Promise<void>;
    checkPassword(password: string): boolean;
}
