import { Response } from "express";
import { Attachment } from "../interfaces";
import { Storage } from "../interfaces";
import { S3Storage, LocalStorage } from "./index";
export declare function uploadAttachment(storage: Storage, versionFile: string, attachment: Attachment): Promise<{
    shasum: string;
    integrity: string;
}>;
export declare function downloadPackage(res: Response, storage: Storage, versionFile: string): Promise<void>;
export declare function getStorage(): LocalStorage | S3Storage<unknown>;
