"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isRoot = exports.isValidPackageName = exports.packageName = exports.isScoped = exports.scopeRegEx = void 0;
exports.scopeRegEx = "^@[a-z\\d][\\w-.]+/[a-z\\d][\\w-.]*$";
function isScoped(pkgName) {
    return new RegExp(exports.scopeRegEx, "i").test(pkgName);
}
exports.isScoped = isScoped;
exports.packageName = /^(@[a-z0-9-~][a-z0-9-._~]*\/)?[a-z0-9-~][a-z0-9-._~]*$/;
function isValidPackageName(pgkName) {
    return exports.packageName.test(pgkName);
}
exports.isValidPackageName = isValidPackageName;
const isRoot = (user) => user.getDataValue("type") === "root";
exports.isRoot = isRoot;
//# sourceMappingURL=index.js.map