import { Model, Transaction } from "sequelize";
import { OrganizationRole, OrganizationAction } from "../enums";
/**
 * Organization's membership
 */
export declare const UserOrganization: import("sequelize").ModelCtor<Model<any, any>>;
/**
 * Model Organization (aka scope)
 *
 */
export declare class Organization extends Model {
    static checkPermissions(role: OrganizationRole, ...actions: OrganizationAction[]): boolean;
    static getMemberRole(organizationId: string, userId: string, transaction?: Transaction): Promise<OrganizationRole>;
}
