"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tarball = void 0;
const sequelize_1 = require("sequelize");
const db_1 = require("./db");
const version_1 = require("./version");
class Tarball extends sequelize_1.Model {
}
exports.Tarball = Tarball;
Tarball.init({
    shasum: sequelize_1.DataTypes.STRING,
    tarball: sequelize_1.DataTypes.STRING, // "https://registry.npmjs.org/koa-bodyparser/-/koa-bodyparser-0.0.1.tgz"
}, {
    sequelize: db_1.db,
    modelName: "Tarball",
});
Tarball.belongsTo(version_1.Version, { foreignKey: "versionId" });
//# sourceMappingURL=tarball.js.map