import { Model } from "sequelize";
import { Version as IVersion, Attachment } from "../interfaces";
import { Storage } from "../interfaces";
export interface Dist {
    tarball: string;
    shasum: string;
    integrity: string;
}
export declare class Version extends Model {
    static addVersions(storage: Storage, packageId: string, versions: Record<string, IVersion>, attachments: Record<string, Attachment>, tarballPrefix: string, tagName: string): Promise<void[]>;
}
