/// <reference types="node" />
import { Readable } from "stream";
import { Storage } from "../interfaces/storage";
export declare class LocalStorage implements Storage {
    private dirName;
    constructor(dirName: string);
    add(pathName: string, inputStream: Readable): Promise<void>;
    get(pathName: string): Promise<Readable>;
    remove(pathName: string): Promise<void>;
}
