/// <reference types="node" />
import { Readable } from "stream";
import { Storage } from "../interfaces/storage";
export declare class S3Storage<T> implements Storage {
    private bucket;
    constructor(bucket: string);
    add(pathName: string, inputStream: Readable): Promise<void>;
    get(pathName: string): Promise<Readable>;
    remove(pathName: string): Promise<void>;
}
